---     
tags: 
  - Tiles
description: Returns the requested tile in MVT format.  Optional parameters of scale_min, scale_max and database will have safe defaults if not set or invalid options chosen.
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: path
    name: layer
    type: string
    required: true
    schema:
      example: 'asc'
  - in: path
    name: zoom
    type: integer
    required: true
    schema:
      example: 17    
  - in: path
    name: lon
    type: integer
    required: true
    schema:
      example: 65535      
  - in: path
    name: lat
    type: integer
    required: true
    schema:
      example: 43577    
  - in: query
    name: scale_min
    type: integer
    required: false 
  - in: query
    name: scale_max
    type: integer
    required: false
  - in: query
    name: database
    type: string
    enum: ['uk', 'uk_alt', 'india', 'australia', 'new_zealand']
    required: false        
  - in: query
    name: polygons
    type: boolean
    description: Returns points as polygon objects, which may be useful to simplify rendering.  Treated as true if any value is present, false otherwise.
    enum: ['true']
    required: false
produces: 
  - 'application/vnd.mapbox-vector-tile'    
responses:
  200:
    description: Data returned in <strong>application/vnd.mapbox-vector-tile</strong> content-type
    content:
      application/vnd.mapbox-vector-tile:
        schema:
          type: string  
          format: binary
  204:
    description: No data
  401:
    description: User not authorised
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'User not authorised'

